# Examples

- [Multi-tenancy Elastic Stack (Enterprise)](https://docs.readonlyrest.com/develop/examples/multitenancy_guide.md)
- [Multi-user Elastic Stack (PRO)](https://docs.readonlyrest.com/develop/examples/multiuser_guide.md)
- [SAML SSO (Enterprise)](https://docs.readonlyrest.com/develop/examples/saml-sso.md): External connectors integration
- [Keycloak](https://docs.readonlyrest.com/develop/examples/saml-sso/keycloak_saml.md): SAML SSO Integration with Keycloak as an identity provider.
- [Microsoft Azure AD](https://docs.readonlyrest.com/develop/examples/saml-sso/azure_ad.md): Integration with the managed cloud service Microsoft Azure Active Directory.
- [Microsoft ADFS](https://docs.readonlyrest.com/develop/examples/saml-sso/adfs.md): Integration manual for ReadonlyREST Enterprise with the on-premises Active Directory Federated Services  Single Sign-on from Microsoft.
- [Duo Security MFA](https://docs.readonlyrest.com/develop/examples/saml-sso/multifactor_authentication_with_duo_via_saml.md)
- [OpenID Connect (OIDC) (Enterprise)](https://docs.readonlyrest.com/develop/examples/oidc-sso.md): External connectors integration
- [Keycloak](https://docs.readonlyrest.com/develop/examples/oidc-sso/keycloak_oidc.md): OpenID Connect (OIDC) SSO Integration with Keycloak as an identity provider.
- [Impersonation (Enterprise)](https://docs.readonlyrest.com/develop/examples/impersonation.md): Impersonation
- [Creating Test Settings](https://docs.readonlyrest.com/develop/examples/impersonation/test-settings-ui.md): Creating Test Settings
- [Defining external services mock configurations](https://docs.readonlyrest.com/develop/examples/impersonation/external-services-mocks-ui.md): Defining external services mock configurations
- [Impersonating users](https://docs.readonlyrest.com/develop/examples/impersonation/impersonate-user-ui.md): Impersonating users
- [ROR cluster with Elastic Cloud integration](https://docs.readonlyrest.com/develop/examples/elastic-cloud-cluster-integration.md): ROR-based cluster with remote X-Pack Security cluster on Elastic Cloud integration
- [Docker-based playground](https://docs.readonlyrest.com/develop/examples/elastic-cloud-cluster-integration/playgroud.md): Docker-based playground
- [Configuration details](https://docs.readonlyrest.com/develop/examples/elastic-cloud-cluster-integration/details.md): Detailed configuration
- [Custom middleware (Enterprise)](https://docs.readonlyrest.com/develop/examples/custom-middleware.md): Custom middleware
- [Enriching the metadata](https://docs.readonlyrest.com/develop/examples/custom-middleware/enriching-the-metadata.md): Enriching the metadata
- [Reject machine-to-machine traffic using custom metadata ACL rules](https://docs.readonlyrest.com/develop/examples/custom-middleware/reject-machine-to-machine-traffic-using-custom-metadata-acl-rules.md): Reject machine-to-machine traffic using custom metadata ACL rules
- [Reordering available tenancies](https://docs.readonlyrest.com/develop/examples/custom-middleware/reordering-available-tenancies.md): Reordering available tenancies
- [Available rorRequest API](https://docs.readonlyrest.com/develop/examples/custom-middleware/available-ror-request-api.md): Available rorRequest API
- [Secure Logstash](https://docs.readonlyrest.com/develop/examples/secure_logstash.md)
- [Secure Metricbeat](https://docs.readonlyrest.com/develop/examples/secure_metricbeat.md)
- [Elastic Fleet](https://docs.readonlyrest.com/develop/examples/fleet.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.readonlyrest.com/develop/examples.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
